import Vue from 'vue'
import axios from 'axios'

import App from "./App.vue";
import router from './router'
import store from './store'

import 'vue2-toast/lib/toast.css'
import Toast from 'vue2-toast'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import VModal from 'vue-js-modal'
import $ from 'jquery'

window.$ = window.jQuery = $

// if (!process.env.IS_WEB) Vue.use(require('vue-electron'))
Vue.http = Vue.prototype.$http = axios
Vue.config.productionTip = false
Vue.use(ElementUI);
Vue.use(Toast);
Vue.use(VModal, {
    dialog: true,
    dynamic: true,
});


/* eslint-disable no-new */

new Vue({
	el: "#app",
	router,
    store,
    data: {
        bus: new Vue()
    },
	render: h => h(App)
});